// FLCHEN ZWEITER ORDNUNG
// **********************************************************************************
global_settings { assumed_gamma 2.2 }
#include "colors.inc"           
#include "shapes.inc"         
#include "textures.inc"       
background {White}
camera { orthographic
   location <180, 50, -200>
   up  <0.0, 25.0, 0.0>
   right <33, 0.0, 0.0>
   look_at <0, 0, 0>
}

light_source { <-10, 20, -25> color White }
light_source { <0, 0, 0> color White }
light_source { <100, 50, -200> color White }

// QUADRIK (Flche zweiter Ordnung bzw. Quadratische Flche)
// **********************************************************************************
quadric
{
  <2, 3, 10> //  A x^2  + B y^2  + C z^2  +
  <0, 0, 0> //  D xy   + E xz   + F yz   +
  <0, 0, 0> //  G x    + H y    + I z    +
  (-150)         //  J

// Textur der Quadrik
   texture {
      finish {ambient 0.25 }
      pigment {
         bozo
         turbulence 0.25
         color_map {
            [0.0 1.0 color red 0.9 green 0.75 blue 0.75
                     color red 0.6 green 0.6 blue 0.6 ]
         }
         scale 0.4
      }
   }
   texture {
      finish {
         Glossy
         phong 0.25
         phong_size 75
         brilliance 4
      }
      pigment {
         granite
         color_map {
            [0.0 0.9  color DustyRose filter 1 color DustyRose filter 0.5 ]
            [0.9 1.0  color DarkSlateGray color DarkSlateGray ]
         }
         scale 2
      }
   }
   scale 1
}

// ---------------------------------------------------------------------------
// Darstellung eines Koordinatenkreuzes mit Skaleneinteilung (Achsenintervalle: -10 - 10)
// ---------------------------------------------------------------------------
#declare Font1="cyrvetic.ttf";
#declare ks10 = 
union{                          // X-Achse
  cylinder{-x*10.5,x*10.5,.05}
  cone{ x*11.5,0, x*10.5,.15}
   #declare Count=-10;
   #while (Count < 11)
    sphere {<Count,0,0>, .11}
   #declare Count=Count+1;
   #end
                               // y-Achse
  cylinder{-y*10.5,y*10.5,.07}
  cone{ y*11.5,0, y*10.5,.15}
   #declare Count=-10;
   #while (Count < 11)
    sphere {<0,Count,0>, .11}
   #declare Count=Count+1;
   #end
                               // z-Achse
  cylinder{-z*10.5,z*10.5,.07}
  cone{ z*11.5,0, z*10.5,.15}
   #declare Count=-10;
   #while (Count < 11)
    sphere {<0,0,Count>, .11}
   #declare Count=Count+1;
   #end
                              // Achsenbeschriftungen
 text{ttf Font1 "x",0.1,0 scale <1.5,1.5,1.5> translate <10.9,-1.2,0>}
 text{ttf Font1 "y",0.1,0 scale <1.5,1.5,1.5> translate <-1,10.5,0>}
 text{ttf Font1 "z",0.1,0 scale <1.5,1.5,1.5> translate <-1,-0.2,11.5>}

 texture { 
   pigment { rgb<0.1,0.1,0.5> }  
   finish { ambient 0.1 diffuse 0.4 reflection 0.2 brilliance 1 specular 0.3 roughness 0.2 }
   }
 no_shadow
}
ks10