// FLCHEN ZWEITER ORDNUNG
// **********************************************************************************
global_settings { assumed_gamma 2.2 }
#include "colors.inc"           
#include "shapes.inc"         
#include "textures.inc"       
background {White}
camera { orthographic
   location <100, 50, -200>
   up  <0.0, 15, 0.0>
   right <20, 0.0, 0.0>
   look_at <0, 0, 0>
}

light_source { <-10, 20, -25> color White }
light_source { <0, 0, 0> color White }
light_source { <100, 50, -200> color White }

// QUADRIK (Flche zweiter Ordnung bzw. Quadratische Flche)
// **********************************************************************************
intersection {
 quadric
{
  <1, 0, 0.2>  //  A x^2  + B y^2  + C z^2  +    ||  Durch Vernderung eines Vorzeichens in der
  <0, 0, 0>      //  D xy   + E xz   + F yz   +    ||  1. Zeile entseht ein hyperbolisches 
  <0, -1, 0>   //  G x    + H y    + I z    +    ||  Paraboloid (Sattelflche).
  0              //  J
      texture {
         pigment { Red }
         finish {
            phong 1.0
            phong_size 20
            ambient 0.2
            diffuse 0.8
         }
      }
   }
   object { box {<-15, -5, -5>, <15, 5, 5> texture { pigment { Clear } }  } }
   bounded_by { box {<-15, -15, -5>, <15, 15, 5> } }

no_shadow
}

// ---------------------------------------------------------------------------
// Darstellung eines Koordinatenkreuzes mit Skaleneinteilung (Achsenintervalle: -5 - 5)
// ---------------------------------------------------------------------------
#declare Font1="cyrvetic.ttf";
#declare ks5 = 
union{                          // X-Achse
  cylinder{-x*5.5,x*5.5,.05}
  cone{ x*6.5,0, x*5.5,.15}
   #declare Count=-5;
   #while (Count < 6)
    sphere {<Count,0,0>, .11}
   #declare Count=Count+1;
   #end
                               // y-Achse
  cylinder{-y*5.5,y*5.5,.07}
  cone{ y*6.5,0, y*5.5,.15}
   #declare Count=-5;
   #while (Count < 6)
    sphere {<0,Count,0>, .11}
   #declare Count=Count+1;
   #end
                               // z-Achse
  cylinder{-z*5.5,z*5.5,.07}
  cone{ z*6.5,0, z*5.5,.15}
   #declare Count=-5;
   #while (Count < 6)
    sphere {<0,0,Count>, .11}
   #declare Count=Count+1;
   #end
                              // Achsenbeschriftungen
 text{ttf Font1 "x",0.1,0 scale <1.5,1.5,1.5> translate <5.9,-1.2,0>}
 text{ttf Font1 "y",0.1,0 scale <1.5,1.5,1.5> translate <-1,5.7,0>}
 text{ttf Font1 "z",0.1,0 scale <1.5,1.5,1.5> translate <-1,-0.2,5.8>}

 texture { 
   pigment { rgb<0.1,0.1,0.5> }  
   finish { ambient 0.1 diffuse 0.4 reflection 0.2 brilliance 1 specular 0.3 roughness 0.2 }
   }
 no_shadow
}

ks5